/** FunnelPlotImpl.java.

	Purpose:
		
	Description:
		
	History:
		11:16:48 AM Jan 16, 2014, Created by jumperchen

Copyright (C) 2014 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.impl;

import org.zkoss.chart.Charts;
import org.zkoss.chart.PlotData;
import org.zkoss.chart.model.ChartsModel;
import org.zkoss.chart.model.SingleValueCategoryModel;

/**
 * A model implementation for funnel chart
 * @author jumperchen
 *
 */
public class FunnelPlotImpl extends PlotEngineImpl {
	public FunnelPlotImpl(Charts chart) {
		super(chart);
	}

	public PlotData drawPlot(ChartsModel model) {
		if (model instanceof SingleValueCategoryModel) {
			return drawSingleValueCategoryModel((SingleValueCategoryModel) model);
		}
		throw new IllegalArgumentException("Unsupported model type [" + model
				+ "]");
	}
}
